Bug 1311989 - (CVE-2015-7827) CVE-2015-7827 botan: PKCS #1 decoding not in constant time
CVE-2015-7827 botan: PKCS #1 decoding not in constant time
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151026,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 08:04 EST by Andrej Nemec
Modified: 2016-05-20 16:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: botan 1.11.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-25 08:04:38 EST
During RSA decryption, length of decoding of PKCS #1 v1.5 padding took was input dependent. If these differences could be measured by an attacker, it could be used to mount a Bleichenbacher million-message attack. PKCS #1 v1.5 decoding has been rewritten to use a sequence of operations which do not contain any input-dependent indexes or jumps. Notations for checking constant time blocks with ctgrind (https://github.com/agl/ctgrind) were added to PKCS #1 decoding among other areas.

External references:

http://botan.randombit.net/security.html
Comment 1 Fedora Update System 2016-05-07 07:44:00 EDT
botan-1.10.13-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2016-05-15 01:31:53 EDT
botan-1.10.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2016-05-16 10:54:48 EDT
botan-1.10.13-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-05-20 16:19:42 EDT
botan-1.10.13-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.